import http from './http.js'
import appConfig from '@/config/appConfig.js'
import {
	Base64
} from 'js-base64'
import infoBox from '@/commons/utils/infoBox.js'

/* 查询团购卷分类 */
export function $tbCouponCategory(data, mehtod = 'GET') {
	return http.req('/api/tbCouponCategory', {
		...data,
		shopId: uni.getStorageSync('shopId')
	}, 'GET')
}


export default {
	add: function(data) {
		return $tbCouponCategory(data, 'POST')
	},
	del: function(data) {
		return $tbCouponCategory(data, 'DELETE')
	},
	update: function(data) {
		return $tbCouponCategory(data, 'PUT')
	},
	get: function(data) {
		return $tbCouponCategory(data)
	}
}